# Guided Missile

If you're not on dedicated servers, please enable `sv_cheats` and do `weapon_reparse` in console before starting the gamemode, disable `sv_cheats` after `weapon_reparse` is done


### New Contents
**Weapon Mods for `mp_weapon_rocket_launcher`**

- `guided_missile`: No need to lockon before firing the archer. Keep aim down sight to lead your missiles( sometimes you may unable to fire weapon, try re-deploy it by melee or weapon switch ).
- `no_lock_required`: No need to lockon before firing the archer.
- `rocket_jumper`: Gives rocket jump mobility. Self damage is reduced( if the missile also damaged other players, self damage won't be reduced ).


### Available PlaylistVars
- `guided_missile_enabled`: Give players an archer with `guided_missile` if they have basic archer equipped.
- `rocket_launcher_enabled`: Give players an archer with `no_lock_required` and `rocket_jumper` if they have basic archer equipped.

**NOTE:** When you enable one of the playlistvar, only your equipped archer will be replaced with modded archer. When both playlistvars are enabled, your secondary weapon and archer will both be replaced.

- `rocket_jump_self_damage`: Damage percentage taken from rocket jump.
    Archer's max explosion damage is 100. Default value is 0.4, meaning you'll take maxnium of 40 damage from rocket jump.
- `modded_archers_only`: Only allow guided missile or/and no-lockon-required archer, take away any other main weapons.
- `archers_faster_action`: Give "Gun Ready", "Quick Swap" and "Speedloader" to modded archers.
    Doesn't affect modded archer that is replaced from equipped archer.
- `archers_replace_antititan`: Always replace AT weapons with modded archer, no matter whether players have equipped basic archer.
    This allows all modded archers to have Faster Action.


## Change Logs

**v1.2.0**

- Remove projectile KillReplay fix to avoid conflict with [PR#554](https://github.com/R2Northstar/NorthstarMods/pull/554) and [NessieTempFix](https://northstar.thunderstore.io/package/VoyageDB_Modding_Home/Nessie_Temp_Fix)

- Add `archers_replace_antititan` playlistvar to allow use other AT weapons.

- Fix a bug that makes player who equipped with basic archer can only get 1 modded archer.

- Fix player can sometimes gain extra velocity from rocket jump.


**v1.1.2**

- Make `rocket_jumper`'s self damage never gets reduced when the missile hits other players than it's owner( similar to TF2 Soldier's Gunboats ).


**v1.1.1**

- Add "Quick Swap" for `archers_faster_action`.


**v1.1.0**

- Add `modded_archers_only` playlistvar to allow use main weapons.

- Rename `missile_faster_action` to `archers_faster_action`.